using System;
using System.Collections.Generic;
using System.Text;

namespace GameServer.Management.Client
{
    class cFlag
    {
        public enum FlagState : int
        {
            Neutral = -1,
            Deberan = 0,
            NIU = 1
        }

        public int FlagStateI = 0;

        public cFlag(cWRRoom _Room, FlagState FlagState)
        {
            FlagStateI = Convert.ToInt32(FlagState);
            _Room.Flags.Add(this);
        }

        public int toInt()
        {
            return FlagStateI;
        }
    }
}
